//
//  ViewController.swift
//  SwiftTableView
//
//  Created by 栗子 on 2017/7/30.
//  Copyright © 2017年 http://www.cnblogs.com/Lrx-lizi/. All rights reserved.
//

import UIKit

let KWindowHeight = 200


class ViewController: UIViewController, UITableViewDelegate, UITableViewDataSource
    
{
    
    
    
    
    var tableVIew :UITableView!
    var array     :NSArray!
    var expendArr :NSArray!
    var isExpend = false
    
    
    
    override func viewDidLoad() {
        
        super.viewDidLoad()
        self.view!.backgroundColor=UIColor.white
        
        
        self.title="Swift TableVIewCell展开关闭"
        
        array=["1","2","3","4"];
        expendArr=["1","2","3","4","5","6","7"];
        
        tableVIew=UITableView()
        tableVIew!.backgroundColor = UIColor.clear
        tableVIew!.delegate=self
        tableVIew!.dataSource=self
        tableVIew?.register(UITableViewCell.self, forCellReuseIdentifier: "cell")
        tableVIew?.frame=self.view.bounds
        self.view.addSubview(tableVIew!)
        
    }
    
    func numberOfSections(in tableView: UITableView) -> Int {
        return 1
        
    }
    func tableView(_ tableView: UITableView, numberOfRowsInSection section: Int) -> Int {
        if isExpend {
            return expendArr.count
        }else{
            return array.count
        }
    }
    func tableView(_ tableView: UITableView, cellForRowAt indexPath: IndexPath) -> UITableViewCell {
        let cell = tableView.dequeueReusableCell(withIdentifier: "cell", for: indexPath)
        if (isExpend) {
            cell.textLabel?.text=String(format:"%@",expendArr![indexPath.row] as! CVarArg)
            
        }else{
            cell.textLabel?.text=String(format:"%@",array![indexPath.row] as! CVarArg)
        }
        cell.selectionStyle=UITableViewCellSelectionStyle.none
        
        return cell
    }
    
    
    func tableView(_ tableView: UITableView, viewForFooterInSection section: Int) -> UIView? {
        let btn = UIButton()
        btn.backgroundColor=UIColor.red;
        if isExpend {
            btn .setTitle("关闭", for: UIControlState.normal)
        }else{
            btn .setTitle("展开", for: UIControlState.normal)
        }
        btn.addTarget(self,action:#selector(tapp),for:.touchUpInside)
        
        return btn
    }
    
    func tapp(btn:UIButton){
        isExpend = !isExpend
        
        tableVIew .reloadData()
        
        
    }
    func tableView(_ tableView: UITableView, heightForFooterInSection section: Int) -> CGFloat {
        return 50
        
    }
    override func didReceiveMemoryWarning() {
        super.didReceiveMemoryWarning()
        // Dispose of any resources that can be recreated.
    }
    
    
}

